Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi
Class SortCriteria

    java.lang.Object
      com.bea.content.spi.SortCriteria

All Implemented Interfaces
  Serializable

Deprecated As of 10.2, replaced by `SortCriteria`. The SPI interfaces in the com.bea.content.spi package have all been deprecated as of 10.2. Oracle does not intend to remove these interfaces during the next major release of WebLogic Portal. However, please note that new development should take place using the com.bea.content.spi.flexspi interfaces going forward.

    @Deprecated
    public class SortCriteria

extends Object
implements Serializable

query sort criteria

See Also
  Serialized Form

Field Summary
`static SortCriteria` | `UNSORTED` Deprecated

Constructor Summary
`SortCriteria()` Deprecated Construct a SortCriteria object using SortCriteria.UNSORTED.
`SortCriteria(boolean sortAscending)` Deprecated Construct a SortCriteria object.
`SortCriteria(boolean sortResults, boolean sortAscending, String property, Locale locale)` Deprecated Construct a SortCriteria object.
`SortCriteria(boolean sortAscending, String property)` Deprecated Construct a SortCriteria object.

Method Summary
`boolean` | `equals(Object obj)` Deprecated
`Locale` | `getLocale()` Deprecated Get the locale.
`String` | `getProperty()` Deprecated Get the sort property name.
`int` | `hashCode()` Deprecated Override the hashCode because we override equals().
`boolean` | `sortAscending()` Deprecated Get the sort ascending value.
`boolean` | `sortResults()` Deprecated Get the sort results value.
`String` | `toString()` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNSORTED

    public static final SortCriteria UNSORTED

  Deprecated

Constructor Detail

### SortCriteria

    public SortCriteria(boolean sortResults,
                        boolean sortAscending,
                        String property,
                        Locale locale)

  Deprecated
  Construct a SortCriteria object.

  Parameters
    `sortResults` - True if the containing QueryResult object has sorted the results.
    `sortAscending` - True if the results should be sorted ascending.
    `property` - The property name to sort on.
    `locale` - The locale.

### SortCriteria

    public SortCriteria(boolean sortAscending,
                        String property)

  Deprecated
  Construct a SortCriteria object.

  Parameters
    `sortAscending` - True if the results should be sorted ascending.
    `property` - The property name to sort on.

### SortCriteria

    public SortCriteria(boolean sortAscending)

  Deprecated
  Construct a SortCriteria object.

  Parameters
    `sortAscending` - True if the results should be sorted ascending.

### SortCriteria

    public SortCriteria()

  Deprecated
  Construct a SortCriteria object using SortCriteria.UNSORTED.

Method Detail

### sortResults

    public boolean sortResults()

  Deprecated
  Get the sort results value.

  Returns
    The sort results value.

### sortAscending

    public boolean sortAscending()

  Deprecated
  Get the sort ascending value.

  Returns
    The sort ascending value.

### getProperty

    public String getProperty()

  Deprecated
  Get the sort property name.

  Returns
    The sort property name.

### getLocale

    public Locale getLocale()

  Deprecated
  Get the locale.

  Returns
    The locale.

### toString

    public String toString()

  Deprecated
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Deprecated
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated
  Override the hashCode because we override equals().

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.